Skip to main content
`Ctrl`+`K`

# SNESNASMSetType

Set the type of subdomain update used for the nonlinear additive Schwarz solver `SNESNASM`

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNASMSetType(SNES snes, PCASMType type)

Logically Collective

## Input Parameters

- snes - the `SNES` context

- type - the type of update, `PC_ASM_BASIC` or `PC_ASM_RESTRICT`

## Options Database Key

- -snes_nasm_type <basic,restrict> - type of subdomain update used

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESNASM`, `SNESNASMGetType()`, `PCASMSetType()`, `PC_ASM_BASIC`, `PC_ASM_RESTRICT`, `PCASMType`

## Level

intermediate

## Location

src/snes/impls/nasm/nasm.c

## Implementations

SNESNASMSetType_NASM() in src/snes/impls/nasm/nasm.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages